;; vcs ver 3

        ORG     p:COLDD                 ;beginning of cold boot

;       movep   #$261009,x:apll         ;set PLL for MF=10, 40 MHz VCO out
;       movep   #$B0B0,x:abcr           ;at 40MHz, T=25ns, 11 wait states in P:

        JMP     ORIG

        ORG     p:COLD56

ORIG

        move    #0,sp           ;clear the stack
	move	#SPP,r7
	move	#RPP,r6
	move	#COLD,r5	; set up first instruction
	move	#COLD,r4	; set up r4 for doLIST
	jmp	(r5)

	; COLD start moves the following to USER variables.
	; MUST BE IN SAME ORDER AS USER VARIABLES.

UZERO

		DC	0,0,0,0 		;reserved space in user area
sp0     	DC	SPP			;SP0
rp0     	DC	RPP			;RP0
qrx		DC	QRX			;'?KEY
txsto   	DC	TXSTO			;'EMIT
accep           DC      ACCEP                   ;'EXPECT
ktap            DC      KTAP                    ;'TAP
echo 		DC	TXSTO			;'ECHO
tprom           DC      DOTOK                   ;'PROMPT
base		DC	BASEE			;BASE
memtyp          DC      MEMSPC                  ;BASE
temp            DC      0                       ;tmp
span		DC	0			;SPAN
toinn		DC	0			;>IN
ntib		DC	0			;#TIB
tib     	DC	TIBB			;TIB
csp		DC	0			;CSP
teval           DC      INTER                   ;'EVAL
numq            DC      NUMBQ                   ;'NUMBER
hld		DC	0			;HLD
handlr		DC	0			;HANDLER
cntxt		DC	0			;CONTEXT pointer
voc             DC      0,0,0,0
                DC      0,0,0,0               ;vocabulary stack
crrnt		DC	0			;CURRENT pointer
vlink		DC	0			;vocabulary link pointer
ctp		DC	CTOP			;CP
ntp		DC	NTOP			;NP
lstn		DC	LASTN			;LAST
ULAST

                if prnmsgs==1
		msg    "UZERO",'  ',UZERO
                msg    "SP0",'  ',sp0
                msg    "RP0",'  ',rp0
                msg    "?KEY",'  ',qrx
                msg    "TEMIT",'  ',txsto
                msg    "TEXPECT",'  ',accep
                msg    "TTAP",'  ',ktap
                msg    "TECHO",'  ',echo
                msg    "TPROMPT",'  ',tprom
		msg    "BASE",'  ',base
                msg    "MEMSPACE",'  ',memtyp
		msg    "tmp",'  ',temp
		msg    "SPAN",'  ',span
		msg    ">IN",'  ',toinn
		msg    "#TIB",'  ',ntib
		msg    "TIB",'  ',tib
		msg    "CSP",'  ',csp
                msg    "TEVAL",'  ',teval
                msg    "TNUMBER",'  ',numq
		msg    "HLD",'  ',hld
		msg    "HANDLER",'  ',handlr
		msg    "CONTEXT",'  ',cntxt
		msg    "VOCSS",'  ',voc
		msg    "CURRENT",'  ',crrnt
		msg    "VOCLINK",'  ',vlink
		msg    "CP",'  ',ctp
		msg    "NP",'  ',ntp
		msg    "LAST",'  ',lstn
		msg    "ULAST",'  ',ULAST
                endif