;; -    r0@          ( -- w )
;               Copy contents of r0 to the data stack.

                CODE    3,r0@,r0AT
                move    r0,x:-(r7)      ; push onto sp
		NEXT

;; -    r0!          ( -- w )
;               push data stack to r0

                CODE    3,r0!,r0STO
                move    x:(r7)+,r0
		NEXT


;; -    r0@x          ( -- w )
;               push contents of addr in r0 x:space to data stack

                CODE    4,r0x@,r0xAT
                move    x:(r0),x0
                move    x0,x:-(r7)
		NEXT

;; -    r0y@         ( -- w )
;               push contents of addr in r0 y:space to data stack

                CODE    4,r0y@,r0yAT
                move    y:(r0),x0
                move    x0,x:-(r7)
		NEXT

;; -    r0p@          ( -- w )
;               push contents of addr in r0 p:space to data stack

                CODE    4,r0p@,r0pAT
                move    p:(r0),x0
                move    x0,x:-(r7)
		NEXT



;; -    r0x!          ( -- w )
;               push data stack to address pointed to be r0

                CODE    4,r0x!,r0xSTO
                move    x:(r7)+,x0
                move    x0,x:(r0)
		NEXT

;; -    r0y!          ( -- w )
;               push data stack to address pointed to be r0

                CODE    4,r0y!,r0ySTO
                move    x:(r7)+,x0
                move    x0,y:(r0)
		NEXT

;; -    r0p!          ( -- w )
;               push data stack to address pointed to be r0

                CODE    4,r0p!,r0pSTO
                move    x:(r7)+,x0
                move    x0,p:(r0)
		NEXT

;; !! for n and m regs will probably only need store prims

;; -    n1!          ( -- w )
;               push data stack to n0

                CODE    3,n0!,n0STO
                move    x:(r7)+,n1
		NEXT

;; -    m1!          ( -- w )
;               push data stack to m0

                CODE    3,m0!,m0STO
                move    x:(r7)+,m1
		NEXT





